Community
cancel
Showing results for 
Search instead for 
Did you mean: 
73 Views

Attempt to connect X to TFSubgraphCall_. Missing in port (1) in TFSubgraphCall_ node

Hey,

I am trying to use the model optimizer to convert my Tensorflow 1.14 model. Have run into a few errors, about while loops so i have used the suggested --tensorflow_subgraph_patterns  argument.

But now I get an error for each node that has a connection to this sub graph pattern

```[ ERROR ]  Exception occurred during running replacer "REPLACEMENT_ID (<class 'extensions.front.tf.tensorflow_patterns.TensorflowSubgraphPatterns'>)": Attempt to connect strided_slice_11 to TFSubgraphCall_. Missing in port (1) in TFSubgraphCall_ node```

Any help would be appreciated, Thanks
Full Output
    - Batch:     Not specified, inherited from the model
    - Input layers:     X,state_in
    - Output layers:     state_out,prediction
    - Input shapes:     [1,1,5,48,48],[1,256,2]
    - Mean values:     Not specified
    - Scale values:     Not specified
    - Scale factor:     Not specified
    - Precision of IR:     FP32
    - Enable fusing:     True
    - Enable grouped convolutions fusing:     True
    - Move mean values to preprocess section:     False
    - Reverse input channels:     False
TensorFlow specific parameters:
    - Input model in text protobuf format:     False
    - Path to model dump for TensorBoard:     None
    - List of shared libraries with TensorFlow custom layers implementation:     None
    - Update the configuration file with input/output node names:     None
    - Use configuration file used to generate the model with Object Detection API:     None
    - Operations to offload:     Abs,StridedSlice
    - Patterns to offload:     lstm/.*
    - Use the config file:     None
Model Optimizer version:     2019.3.0-375-g332562022
 

[ ERROR ]  -------------------------------------------------
[ ERROR ]  ----------------- INTERNAL ERROR ----------------
[ ERROR ]  Unexpected exception happened.
[ ERROR ]  Please contact Model Optimizer developers and forward the following information:
[ ERROR ]  Exception occurred during running replacer "REPLACEMENT_ID (<class 'extensions.front.tf.tensorflow_patterns.TensorflowSubgraphPatterns'>)": Attempt to connect strided_slice_11 to TFSubgraphCall_. Missing in port (1) in TFSubgraphCall_ node
[ ERROR ]  Traceback (most recent call last):
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 273, in apply_replacements
    for_graph_and_each_sub_graph_recursively(graph, replacer.find_and_replace_pattern)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/middle/pattern_match.py", line 58, in for_graph_and_each_sub_graph_recursively
    func(graph)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/extensions/front/tf/tensorflow_patterns.py", line 35, in find_and_replace_pattern
    csc.replace_subgraph_calls(graph, argv.tensorflow_subgraph_patterns)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/front/tf/custom_subgraph_call.py", line 41, in replace_subgraph_calls
    merge_nodes(graph, matched_nodes)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/front/tf/custom_subgraph_call.py", line 165, in merge_nodes
    edge_attrs)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/graph/graph.py", line 524, in add_edge
    assert vnode.has_port('in', in_port, control_flow=is_control_flow), "{} Missing in port ({}) in {} node".format(message, in_port, vnode.name)
AssertionError: Attempt to connect strided_slice_11 to TFSubgraphCall_. Missing in port (1) in TFSubgraphCall_ node

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/main.py", line 302, in main
    return driver(argv)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/main.py", line 251, in driver
    is_binary=not argv.input_model_is_text)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/pipeline/tf.py", line 136, in tf2nx
    class_registration.apply_replacements(graph, class_registration.ClassType.FRONT_REPLACER)
  File "/opt/intel/openvino_2019.3.334/deployment_tools/model_optimizer/mo/utils/class_registration.py", line 299, in apply_replacements
    )) from err
Exception: Exception occurred during running replacer "REPLACEMENT_ID (<class 'extensions.front.tf.tensorflow_patterns.TensorflowSubgraphPatterns'>)": Attempt to connect strided_slice_11 to TFSubgraphCall_. Missing in port (1) in TFSubgraphCall_ node

[ ERROR ]  ---------------- END OF BUG REPORT --------------
[ ERROR ]  -------------------------------------------------

0 Kudos
0 Replies
Reply